%define _libcapi libcapi20

Name: isdn4k-utils
Version: 3.2p1
Release: alt1

Summary: Bundled Utilities for configuring and using ISDN4Linux
License: GPL
Group: System/Configuration/Networking
URL: http://www.isdn4linux.de

Source0: %name-%version.tar.gz
Source1: %name-%version-FAQ-html.tgz
Source10: config.rpm.alt
Source11: capi.conf
Source12: README.ALT

Patch0: %name-%version-makefile.patch
Patch1: %name-%version-warnings.patch

Requires: %_libcapi

Prefix: %prefix

# Automatically added by buildreq on Tue Oct 22 2002
BuildRequires: libncurses-devel libtinfo-devel

%description
isdn4k-utils is a collection of various ISDN related utilities. This
package contains configuration tools for all ISDN adapters, supported
by Linux. Furthermore, several status-monitors are provided as well as
some ISDN-based applications. Namely ipppd, a PPP daemon for synchronous
PPP over ISDN. Real working configuration can be achieved if this package
installed with 'isdn4net' RPM package.

# not included
# vbox, an answering-machine and (for use with AVM-B1 only)
#capifax, a faxmachine.

%package -n %_libcapi
Summary: Common ISDN interface (CAPI) shared libraries
Group: System/Libraries

%description -n %_libcapi
Common ISDN interface library (CAPI) is an application programming
interface standard used to access ISDN equipment connected to basic
rate interfaces (BRI) and primary rate interfaces (PRI). By adhering
to the standard, applications can make use of well defined mechanism
for communications over ISDN lines, without being forced to adjust to
the idiosyncrasies of hardware vendor implementations.
CAPI is well established standard. Potential cost savings were the
driving force for CAPI controller and application development.
This package contains the shared libraries for CAPI v2.0.

%package -n %_libcapi-devel
Summary: %_libcapi header files and development libraries
Group: Development/C
Requires: %_libcapi = %version-%release

%description  -n %_libcapi-devel
Header files and development libraries for %_libcapi

%package -n %_libcapi-devel-static
Summary: %_libcapi static libraries
Group: Development/C
Requires: %_libcapi = %version-%release

%description -n %_libcapi-devel-static
Static version of %_libcapi libraries

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
install -m 644 %SOURCE10 .config
make subconfig
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

# install configs
mkdir -p $RPM_BUILD_ROOT/etc/ppp
touch $RPM_BUILD_ROOT/etc/ppp/ioptions

# install additional documentation
mkdir -p $RPM_BUILD_ROOT/%_docdir/%name-%version/{html,sgml,txt}
install -m 0644 %SOURCE11 $RPM_BUILD_ROOT/%_docdir/%name-%version
install -m 0644 %SOURCE12 $RPM_BUILD_ROOT/%_docdir/%name-%version
tar -xvzf %SOURCE1 -C $RPM_BUILD_ROOT/%_docdir/%name-%version
install -m 0644 COPYING $RPM_BUILD_ROOT/%_docdir/%name-%version
install -m 0644 NEWS $RPM_BUILD_ROOT/%_docdir/%name-%version
install -m 0644 README $RPM_BUILD_ROOT/%_docdir/%name-%version
install -m 0644 FAQ/i4lfaq.sgml $RPM_BUILD_ROOT/%_docdir/%name-%version/sgml
install -m 0644 FAQ/tutorial/EN-i4l.sgml $RPM_BUILD_ROOT/%_docdir/%name-%version/sgml
install -m 0644 FAQ/_example/* $RPM_BUILD_ROOT/%_docdir/%name-%version/txt
install -m 0644 FAQ/_howto/* $RPM_BUILD_ROOT/%_docdir/%name-%version/txt
install -m 0644 Mini-FAQ/isdn-faq.txt $RPM_BUILD_ROOT/%_docdir/%name-%version/txt
install -m 0644 ipppd/README $RPM_BUILD_ROOT/%_docdir/%name-%version/README.ipppd
install -m 0644 ipppd/TODO.4.MP $RPM_BUILD_ROOT/%_docdir/%name-%version/TODO.ipppd
install -m 0644 pcbit/README.pt $RPM_BUILD_ROOT/%_docdir/%name-%version/README.pcbit


%post -n %_libcapi
%post_ldconfig
%postun -n %_libcapi
%postun_ldconfig

%files
/sbin/*
%_bindir/*
%config(noreplace) %_sysconfdir/ppp/ioptions
%_libdir/isdn/*
%_mandir/man4/*.4*
%_mandir/man7/*.7*
%_mandir/man8/*.8*
%_docdir/%name-%version/*
%dir %_libdir/isdn
%dir %_docdir/%name-%version

%files -n %_libcapi
%_libdir/*.so.*

%files -n %_libcapi-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%files -n %_libcapi-devel-static
%_libdir/*.a

%changelog
* Mon Oct 21 2002 Dmitry Lebkov <dlebkov@altlinux.ru> 3.2p1-alt1
- v3.2p1 package for ALT Linux
